<?php
if (!isset($conf['expires'])) {
    $conf['expires'] = 3600;
}
if (!isset($conf['dsn'])) {
    $conf['dsn'] = 'sqlite:///usr/share/oauth1/data/oauth.db';
}
if (!isset($conf['table'])) {
    $conf['table'] = 'tokens';
}
if (!isset($conf['usercol'])) {
    $conf['usercol'] = 'username';
}
if (!isset($conf['requestorcol'])) {
    $conf['requestorcol'] = 'oauth_token';
}
if (!isset($conf['idcol'])) {
    $conf['idcol'] = $conf['usercol'];
}
if (!isset($conf['logincold'])) {
    $conf['logincol'] = 'username';
}
if (!isset($conf['encryptpwdcol'])) {
    $conf['encryptpwdcol'] = 'password';
}
if (!isset($conf['privatekey'])) {
    $conf['privatekey'] = '/usr/share/simplesamlphp/cert/PrivateKey.pem';
}
if (isset($conf['login_request'])) {
    $conf['login_request'] = strtr($conf['login_request'], "'", '"');
}
if (isset($conf['login_check'])) {
    $conf['login_check'] = strstr($conf['login_check'], "'", '"');
}
?>
